import request from '@/utils/request'

// 查询基础数据-设备台账主列表
export function listEqpbook(query) {
  return request({
    url: '/basedata/eqpbook/list',
    method: 'get',
    params: query
  })
}

// 查询基础数据-设备台账主详细
export function getEqpbook(eqpbookId) {
  return request({
    url: '/basedata/eqpbook/' + eqpbookId,
    method: 'get'
  })
}

// 新增基础数据-设备台账主
export function addEqpbook(data) {
  return request({
    url: '/basedata/eqpbook',
    method: 'post',
    data: data
  })
}

// 修改基础数据-设备台账主
export function updateEqpbook(data) {
  return request({
    url: '/basedata/eqpbook/edit',
    method: 'post',
    data: data
  })
}

// 删除基础数据-设备台账主
export function delEqpbook(eqpbookId) {
  return request({
    url: '/basedata/eqpbook/remove/' + eqpbookId,
    method: 'post'
  })
}
// 获取主系统字典
export function getMainSystems(){
  return request({
    url: '/basedata/bdconfig/mainsystem/list?pageNum=1&pageSize=10000',
    method: 'get'
  })
}

